import { geoNaturalEarth1, geoPath, geoGraticule, geoMercator } from 'd3';

// const projection = geoNaturalEarth1();
const projection = geoMercator();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = ({
  mapData: { land, interiors },
  viewData,
  lng,
  lat,
  views,
  country,
  sizeScale,
  sizeValue
  
}) => (
  <>
    <g className="marks">
      <path className="sphere" d={path({ type: 'Sphere' })} />
      <path className="graticules" d={path(graticule())} />
      {land.features.map(feature => (
        <path className="land" d={path(feature)} />
      ))}
      <path className="interiors" d={path(interiors)} />
      {viewData.map(d => {
        const [x, y] = projection([d.lng, d.lat]);
        
        return <circle className="points" cx={x} cy={y} r={sizeScale(sizeValue(d))}>
            <title>
              {views(d)}: {country(d)}
            </title>
          </circle>
        ;
      })}
    </g>
  </>
);
